import { OnInit, OnDestroy } from '@angular/core';
import { BaseDynComponent } from '../../../core/base-dyn/base-dyn.component';
import { TestRootComponentInputs } from './test-root.component.inputs';
export declare class TestRootComponent extends BaseDynComponent implements OnInit, OnDestroy {
    formState: any;
    formModel: any;
    formApi: any;
    inputs: TestRootComponentInputs;
    private formStateSubs;
    constructor(config: any);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onSubmit(): void;
}
export declare class OnSubmitEvent {
    data: any;
    submit: boolean;
    constructor(data: any);
}
